<div class="ee-beige-background">
  <h2 class="ee-section-title-center ecl-u-pv-2xl">
    {{ 'Explore by Country' | translate }}
  </h2>
  <div class="ecl-u-d-flex ecl-u-justify-content-center">
    <img class="text-center" src="assets/images/europe.png" alt="Image of Europe" />
  </div>
  <div class="ecl-u-d-flex ecl-u-justify-content-center">
    <div class="ecl-u-ph-2xl ecl-u-pv-4xl">
      <div class="ee-country-selector-container">
        @for (country of countries; track country?.code) {
          <div
            (click)="onCountryClick(country.code.toLowerCase())"
            class="ecl-u-d-flex ecl-u-flex-row ecl-u-align-items-center ecl-u-mh-4xl ecl-u-ph-l ee-cursor-pointer">
            <img src="assets/icons/flags/{{ country.name.toLowerCase() }}.png" alt="{{ country.name }} flag icon" />
            <span class="ecl-u-ml-s">
              {{ country.name }}
            </span>
          </div>
        }
      </div>
    </div>
  </div>
</div>
